AQHBCI-TOOL4(1)

NAME
aqhbci-tool4 - Command line tools for setup, modification and debugging of HBCI settings.

SYNOPSIS

aqhbci-tool4 [global options] <command> [command options]

DESCRIPTION

The aqhbci-tool4(1) command can be used to setup and manage AqBanking’s HBCI users, customers and accounts.

OPTIONS

Two common options need to be distinguished carefully from each other: "-c CUSTOMER_ID" refers to the German "Kunden-ID" or "Kundennummer". "-u USER_ID" refers to the German "Benutzerkennung". If your bank has specified both to you, you need to check carefully not to confuse one with the other.

This is version 6.6.0

-D PARAM, --cfgdir=PARAM
    Specify the configuration folder

-n, --noninteractive
    Select non-interactive mode. This automatically returns a confirmative answer to any non-critical message.

-A, --acceptvalidcerts
    Automatically accept all valid TLS certificate

--charset=PARAM
    Specify the output character set

-P PARAM, --pinfile=PARAM
    Specify the PIN file

--opticaltan=PARAM
    Specify an external tool to display optical TAN challenges

-h, --help
    Show this help screen. For help on commands, run aqbanking-cli <COMMAND> --help.

COMMANDS

mkpinlist
    This command creates an empty PIN file

adduser
    Adds a user (→ setup HBCI for a bank)

deluser
    Deletes a user.

getkeys
    Requests the server’s key

getcert
    Requests the server’s SSL certificate

createkeys
    Create user keys.

sendkeys
    Send the user keys to the bank.

changekeys
    Change user keys (and media).

getbankinfo
    Request bank information

getaccounts
    Requests account list for a user

getaccsepa
    Requests SEPA account list for a user

gettargetacc
    Requests target account list for a user

getsysid
    Requests a system id for the given user

getitanmodes
    Requests supported iTAN modes for the given user

listitanmodes
    Show a list of supported iTAN modes for the given user

setitanmode
    Select an iTAN mode for the given user

listusers
    List the users

listaccounts
    List the accounts

changepin
    Change the PIN of a key file

unblockpin
    Unblock the PIN in PIN TAN mode.

iniletter
    Print the INI letter for a given user

addaccount
    Manually add account

delaccount
    Deletes account

sethbciversion
    Set the HBCI protocol version to be used

setMaxTransfers
    Set the maximum number of transfers/debit notes per job

setsepaprofile
    Set the SEPA profile for transfers/debit notes

setTanMediumId
    Set the medium id for some PIN/TAN methods (like mTAN)

setTanMechanism
    Overwrite TAN mechanism to use

adduserflags
    Set special flags for the given user

subuserflags
    Unset special flags for the given user

addaccountflags
    Set special flags for the given account

subaccountflags
    Reset special flags for the given account

logfile
    Make an AqBanking log file anonymous

versions
    Print the program and library versions

For help on options available to specific commands, run aqhbci-tool4 <COMMAND> --help.

FILES

$HOME/.aqbanking/
    All files in this directory are part of the AqBanking configuration. Even though mostly all files are in a simple plaintext syntax, you MUST NOT change anything in here without using the tools or libraries provided by AqBanking, except you know exactly what you are doing. Those files may be subject to changes in future AqBanking releases.

BUGS

Probably lots, please post them to the mailing list (see Resources below) or file an issue in the when you find them.

RESOURCES

The provides useful help for setting up AqBanking, even though it is only available in German. On the you can give kudos to the developers or get your questions answered.

COPYING

Copyright (C) Martin Preuß. Free use of this software is granted under the terms of the GNU General Public License (GPL).

The manpage was composed by Micha Lenk and converted by the nifty tool AsciiDoc into a manpage.

AUTHOR

Micha Lenk